#pragma once

//#include <translators/shape/ShapeTranslator.h>
//#include <translators/NodeTranslator.h>
#include <translators/shader/ShaderTranslator.h>
#include <iostream>

#include "define.h"

using namespace std;

class CCurveDataTranslator : public CShaderTranslator
{
public:
    AtNode *CreateArnoldNodes();
    virtual void Export(AtNode *shader);
    virtual void Update(AtNode *shader);
    static void *creator()
    {
        AiMsgInfo(" [%s] :: initialized.", kTranslatorName);
        AiMsgInfo("-----------------------------------------------------------------------------------");
        AiMsgInfo(" [%s] : Compile at %s : %s", kTranslatorName, __DATE__, __TIME__);
        AiMsgInfo("-----------------------------------------------------------------------------------");
        return new CCurveDataTranslator();
    }
    static void NodeInitializer(CAbTranslator context);
    virtual void Delete();
};